#include<bits/stdc++.h>
using namespace std;
int64_t gt(int a)
{
    int64_t gthua=1;
    for(int i=2;i<=a;i++)
    {
        gthua=gthua*i;
    }
    return gthua;
}
float tinhsin(int a, int b)
{
    float sin=0;
    int d=2;
    for(int i=1;i<=2*a+1;i+=2)
    {
        sin=sin+pow(-1,d)*pow(b,i)/gt(i);
        d++;
    }
    return sin;
}
int main()
{
    ifstream fi("sinx.inp");
    ofstream fo("sinx.out");
    int n,x,e;
    fi>>n>>x>>e;
    fo.setf(ios::fixed);
    fo.setf(ios::showpoint);
    fo.precision(e);
    if(abs(pow(x, 2*n+1)/gt(2*n+1)) <= e)
    {
        fo<<tinhsin(n,x);
    }
}
